<?php

require 'Outspark/Common/KeyMaster/KeyMaster.php';

if ($argc < 2) {
	die("Usage: php $argv[0] <URI>\n");
}

$uri = $argv[1];

$secret = OSKKeyMaster::getInstance()->getKey('fiesta.sign');

$sig = hash('sha256', $uri . $secret);
echo "secret: ", $secret, "\n";
echo "sig: ", $sig, "\n";

?>
